## horizon 13.0.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr!=2.1.0,>=2.0.0 # Apache-2.0
# Horizon Core Requirements
Babel!=2.4.0,>=2.3.4 # BSD
Django<2.0,>=1.8 # BSD
Pint>=0.5 # BSD
django-babel>=0.5.1 # BSD
django-compressor>=2.0 # MIT
django-pyscss>=2.0.2 # BSD License (2 clause)
futurist>=1.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
pymongo!=3.1,>=3.0.2 # Apache-2.0
pyScss!=1.3.5,>=1.3.4 # MIT License
python-cinderclient>=3.3.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.10 # MIT
semantic-version>=2.3.1 # BSD
six>=1.10.0 # MIT
XStatic>=1.0.0 # MIT License
XStatic-Angular>=1.5.8.0 # MIT License
XStatic-Angular-Bootstrap>=2.2.0.0 # MIT License
XStatic-Angular-FileUpload>=12.0.4.0 # MIT License
XStatic-Angular-Gettext>=2.3.8.0 # MIT License
XStatic-Angular-lrdragndrop>=1.0.2.2 # MIT License
XStatic-Angular-Schema-Form>=0.8.13.0 # MIT
XStatic-Bootstrap-Datepicker>=1.3.1.0 # Apache 2.0 License
XStatic-Bootstrap-SCSS>=3.3.7.1 # Apache 2.0 License
XStatic-bootswatch>=3.3.7.0 # MIT License
XStatic-D3>=3.5.17.0 # BSD License (3 clause)
XStatic-Hogan>=2.0.0.2 # Apache 2.0 License
XStatic-Font-Awesome>=4.7.0.0 # SIL OFL 1.1 License, MIT License
XStatic-Jasmine>=2.4.1.1 # MIT License
XStatic-jQuery>=1.8.2.1 # MIT License
XStatic-JQuery-Migrate>=1.2.1.1 # MIT License
XStatic-JQuery.quicksearch>=2.0.3.1 # MIT License
XStatic-JQuery.TableSorter>=2.14.5.1 # MIT License
XStatic-jquery-ui>=1.10.4.1 # MIT License
XStatic-JSEncrypt>=2.3.1.1 # MIT License
XStatic-mdi>=1.4.57.0 # SIL OPEN FONT LICENSE Version 1.1
XStatic-objectpath>=1.2.1.0 # MIT
XStatic-Rickshaw>=1.5.0.0 # BSD License (prior)
XStatic-roboto-fontface>=0.5.0.0 # Apache 2.0 License
XStatic-smart-table>=1.4.13.2 # MIT License
XStatic-Spin>=1.2.5.2 # MIT License
XStatic-term.js>=0.0.7.0 # MIT License
XStatic-tv4>=1.2.7.0 # MIT

=== debian/changelog ===
horizon (3:13.0.3-0ubuntu2) bionic-security; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * SECURITY UPDATE: ensure next parameter is validated to prevent malicious
    URL injection
    - d/p/CVE-2020-29565.patch: Make sure the next URL is in the same origin
      as Horizon before redirecting to it.
    - CVE-2020-29565

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Dec 2020 16:00:52 -0500

horizon (3:13.0.3-0ubuntu1) bionic; urgency=medium

  * d/watch: Update to point at opendev.
  * New stable point release for OpenStack Queens (LP: #1893234).
  * d/p/lp1840465.patch: Removed: Fixed in new upstream point release.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 28 Aug 2020 12:02:38 +0000

horizon (3:13.0.2-0ubuntu3) bionic; urgency=medium

  * d/p/Avoid_forced_logout_when_403_error_encountered.patch:
    Cherry-picked from upstream stable/queens to prevent forced logout when
    403 forbidden encountered, such as when access not allowed by policy
    (LP: #1840844).

 -- Nicolas Bock <nicolas.bock@canonical.com>  Mon, 27 Apr 2020 17:29:24 +0000

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-django (>= 1.8),
 python-django-compressor (>= 2.0),
 python-django-pyscss (>= 2.0.2),
 python-futurist (>= 1.2.0),
 python-glanceclient (>= 1:2.8.0),
 python-heatclient (>= 1.10.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-mock (>= 2.0.0),
 python-mox3 (>= 0.20.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-pint (>= 0.5),
 python-pymongo (>= 3.0.2),
 python-pyscss (>= 1.3.4),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-swiftclient (>= 1:3.2.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tz (>= 2013.6),
 python-yaml (>= 3.10),
 python3-babel (>= 2.3.4),
 python3-ceilometerclient (>= 2.5.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-django (>= 1.8),
 python3-django-compressor (>= 2.0),
 python3-django-pyscss (>= 2.0.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.3.4),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.10),
Standards-Version: 4.1.2
Homepage: http://launchpad.net/horizon
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
XS-Testsuite: autopkgtest

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi (>= 2.3),
 python-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 openstack-dashboard-ubuntu-theme (<< 2:10.0.0~b1-0ubuntu2~),
Replaces:
 openstack-dashboard-ubuntu-theme (<< 2:10.0.0~b1-0ubuntu2~),
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Transitional dummy package for Ubuntu theme for Horizon
 This transitional package is safe to remove and use openstack-dashboard
 instead, which now contains the Ubuntu theme.

Package: python-django-horizon
Section: python
Architecture: all
Depends:
 python-django-openstack-auth (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 memcached,
Description: Django module providing web based interaction with OpenStack
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.

Package: python-django-openstack-auth
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-ceilometerclient (>= 2.5.0),
 python-cinderclient (>= 1:3.3.0),
 python-django (>= 1.8),
 python-django-compressor (>= 2.0),
 python-django-pyscss (>= 2.0.2),
 python-futurist (>= 1.2.0),
 python-glanceclient (>= 1:2.8.0),
 python-heatclient (>= 1.10.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-memcache,
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-pbr (>= 2.0.0),
 python-pint (>= 0.5),
 python-pymongo (>= 3.0.2),
 python-pyscss (>= 1.3.4),
 python-six (>= 1.10.0),
 python-swiftclient (>= 1:3.2.0),
 python-tz (>= 2013.6),
 python-yaml (>= 3.10),
 ${misc:Depends},
 ${python:Depends},
Breaks:
 python-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Replaces:
 python-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Provides:
 python-openstack-auth,
 ${python:Provides},
Description: Django authentication backend for Openstack - Python 2.7
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 2.7 module.

Package: python3-django-openstack-auth
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-ceilometerclient (>= 2.5.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-django (>= 1.8),
 python3-django-compressor (>= 2.0),
 python3-django-pyscss (>= 2.0.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-memcache,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-pbr (>= 2.0.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.3.4),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.10),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Replaces:
 python3-openstack-auth (<< 3:13.0.0~b2-0ubuntu2~),
Provides:
 python3-openstack-auth,
 ${python3:Provides},
Description: Django authentication backend for Openstack - Python 3.x
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/horizon horizon-(13\.\d.*)\.tar\.gz

## horizon 14.0.0

=== debian/changelog ===
horizon (3:14.0.0-5) unstable; urgency=medium

  * Add version for python-ironic-ui (<< 3.3.0) to allow transition
    (Closes: #910225).

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Oct 2018 12:03:26 +0100

horizon (3:14.0.0-4) unstable; urgency=medium

  * Add conflicts+breaks for older versions of ironic-ui (Closes: #910225).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Oct 2018 20:44:11 +0200

horizon (3:14.0.0-3) unstable; urgency=medium

  * Add admin_info_check_required_service_for_network_tab.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Sep 2018 22:08:42 +0200

horizon (3:14.0.0-2) unstable; urgency=medium

  * Remove legacy lessc folder and symlink (Closes: #857532).

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 23:16:08 +0200

horizon (3:14.0.0-1) unstable; urgency=medium

  * Add Allow_to_start_UT_with_Django_2.1.patch.
  * fr.po debconf translation, thanks to Alban Vidal (Closes: #898828).
  * Fixed incorrect name of apache default virtual host in the English debconf
    templates, thanks to Alban Vidal (Closes: #898282).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 15:42:02 +0200

horizon (3:14.0.0~rc2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased fix-dashboard-django-wsgi.patch.
  * Removed patches applied upstream:
    - fix-py3-issues.patch
    - fix-upload-image.patch
  * Use python3 -m coverage to run tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 20:06:22 +0200

=== debian/control ===
Source: horizon
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 gettext,
 python3-babel,
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage <!nocheck>,
 python3-django (>= 1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-pyscss (>= 2.0.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking <!nocheck>,
 python3-iso8601 <!nocheck>,
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-mock <!nocheck>,
 python3-mox3 (>= 0.20.0),
 python3-netaddr <!nocheck>,
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 2.3.0),
 python3-pep8 <!nocheck>,
 python3-pymongo <!nocheck>,
 python3-pyscss (>= 1.3.4),
 python3-requests (>= 2.14.2),
 python3-selenium <!nocheck>,
 python3-semantic-version,
 python3-six,
 python3-swiftclient (>= 3.2.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0) <!nocheck>,
 python3-tz <!nocheck>,
 python3-xstatic,
 python3-xstatic-angular (>= 1.5.8.0),
 python3-xstatic-angular-bootstrap (>= 2.2.0.0),
 python3-xstatic-angular-fileupload (>= 12.0.4.0),
 python3-xstatic-angular-gettext (>= 2.3.8.0),
 python3-xstatic-angular-lrdragndrop,
 python3-xstatic-angular-schema-form (>= 0.8.13.0),
 python3-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
 python3-xstatic-bootstrap-scss (>= 3.3.7.1),
 python3-xstatic-bootswatch (>= 3.3.7.0),
 python3-xstatic-d3 (>= 3.5.17.0),
 python3-xstatic-font-awesome (>= 4.7.0),
 python3-xstatic-hogan,
 python3-xstatic-jasmine (>= 2.4.1.1),
 python3-xstatic-jquery (>= 1.8.2.1),
 python3-xstatic-jquery-migrate,
 python3-xstatic-jquery-ui (>= 1.10.4.1),
 python3-xstatic-jquery.quicksearch,
 python3-xstatic-jquery.tablesorter (>= 2.14.5.1),
 python3-xstatic-jsencrypt (>= 2.3.1.1),
 python3-xstatic-magic-search (>= 0.2.5.1),
 python3-xstatic-mdi (>= 1.4.57.0),
 python3-xstatic-objectpath (>= 1.2.1.0),
 python3-xstatic-rickshaw,
 python3-xstatic-roboto-fontface (>= 0.5.0.0),
 python3-xstatic-smart-table (>= 1.4.13.2),
 python3-xstatic-spin,
 python3-xstatic-term.js (>= 0.0.7.0),
 python3-xstatic-tv4 (>= 1.2.7.0),
 python3-xvfbwrapper,
 python3-yaml <!nocheck>,
Build-Conflicts:
 python3-django-openstack-auth,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/horizon
Vcs-Git: https://salsa.debian.org/openstack-team/services/horizon.git
Homepage: https://horizon.openstack.org

Package: horizon-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: web application to control an OpenStack cloud - doc
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package contains the documentation.

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 libjs-jquery,
 libjs-jquery-cookie,
 python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 memcached,
 openstack-dashboard-apache,
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Depends:
 apache2 (>= 2.4),
 debconf,
 libapache2-mod-wsgi-py3 (>= 2.3),
 openstack-dashboard,
 ${misc:Depends},
Description: web application to control an OpenStack cloud - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 python3-babel,
 python3-cinderclient (>= 1:3.3.0),
 python3-django (>= 1.11),
 python3-django-babel (>= 0.6.2),
 python3-django-compressor (>= 2.0),
 python3-django-pyscss (>= 2.0.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-iso8601,
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-memcache,
 python3-netaddr,
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 2.3.0),
 python3-pbr (>= 2.0.0),
 python3-pymongo,
 python3-pyscss (>= 1.3.4),
 python3-semantic-version,
 python3-six,
 python3-swiftclient (>= 3.2.0),
 python3-tz,
 python3-xstatic,
 python3-xstatic-angular (>= 1.5.8.0),
 python3-xstatic-angular-bootstrap (>= 2.2.0.0),
 python3-xstatic-angular-fileupload (>= 12.0.4.0),
 python3-xstatic-angular-gettext (>= 2.3.8.0),
 python3-xstatic-angular-lrdragndrop,
 python3-xstatic-angular-schema-form (>= 0.8.13.0),
 python3-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
 python3-xstatic-bootstrap-scss (>= 3.3.7.1),
 python3-xstatic-bootswatch (>= 3.3.7.0),
 python3-xstatic-d3 (>= 3.5.17.0),
 python3-xstatic-font-awesome (>= 4.7.0),
 python3-xstatic-hogan,
 python3-xstatic-jasmine (>= 2.4.1.1),
 python3-xstatic-jquery (>= 1.8.2.1),
 python3-xstatic-jquery-migrate,
 python3-xstatic-jquery-ui (>= 1.10.4.1),
 python3-xstatic-jquery.quicksearch,
 python3-xstatic-jquery.tablesorter (>= 2.14.5.1),
 python3-xstatic-jsencrypt (>= 2.3.1.1),
 python3-xstatic-magic-search (>= 0.2.5.1),
 python3-xstatic-mdi (>= 1.4.57.0),
 python3-xstatic-objectpath (>= 1.2.1.0),
 python3-xstatic-rickshaw,
 python3-xstatic-roboto-fontface (>= 0.5.0.0),
 python3-xstatic-smart-table (>= 1.4.13.2),
 python3-xstatic-spin,
 python3-xstatic-term.js (>= 0.0.7.0),
 python3-xstatic-tv4 (>= 1.2.7.0),
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-django-horizon,
 python-django-openstack-auth,
 python-ironic-ui (<< 3.3.0),
 python3-django-openstack-auth,
 python3-ironic-ui (<< 3.3.0),
Provides:
 python-django-horizon,
 python-django-openstack-auth,
 python3-django-openstack-auth,
Suggests:
 memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf $(CURDIR)/static
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
	rm -rf doc/source/sourcecode
	rm -rf $(CURDIR)/doc/build
	rm -f horizon/openstack_dashboard/test/.secret_key_store
	find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	# Note: upstream advises to use "python setup.py compile_catalog"
	# maybe we should do that next time.
	chmod +x debian/compile-messages
	$(CURDIR)/debian/compile-messages

	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install \
			--install-layout=deb \
			--root $(CURDIR)/debian/tmp \
			--no-compile -O0; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# We should add --compilemessages when the .mo are removed.
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9 \
		HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run $(CURDIR)/manage.py test -v 2 --settings=horizon.test.settings horizon/test/unit ; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i $(CURDIR)/manage.py test -v 2 --settings=openstack_dashboard.test.settings openstack_dashboard/test/unit ; \
	done
endif


	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard

	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Sets memcached by default in local_settings.py
	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
	sed -i -e 's/os.path.join(LOCAL_PATH,/os.path.join("\/","var","lib","openstack-dashboard","secret-key",/' $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
	echo "COMPRESS_OFFLINE=True" >> $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
	install -d -m 755 $(CURDIR)/debian/openstack-dashboard/var/lib/openstack-dashboard/static


	cp $(CURDIR)/manage.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	dh_install
	dh_missing --fail-missing
	find $(CURDIR)/debian -iname .eslintrc -delete

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/horizon-doc/usr/share/doc/horizon-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_test:

## horizon 14.0.2

=== requirements.txt ===
--- 
+++ 
@@ -10,32 +10,33 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 # Horizon Core Requirements
 Babel!=2.4.0,>=2.3.4 # BSD
-Django<2.0,>=1.8 # BSD
-Pint>=0.5 # BSD
-django-babel>=0.5.1 # BSD
+Django<2,>=1.11;python_version<'3.0'  # BSD
+Django<2.1,>=1.11;python_version>='3.0'  # BSD
+django-babel>=0.6.2 # BSD
 django-compressor>=2.0 # MIT
 django-pyscss>=2.0.2 # BSD License (2 clause)
 futurist>=1.2.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-oslo.concurrency>=3.25.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.policy>=1.30.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-osprofiler>=1.4.0 # Apache-2.0
+osprofiler>=2.3.0 # Apache-2.0
+Pint>=0.5 # BSD
 pymongo!=3.1,>=3.0.2 # Apache-2.0
 pyScss!=1.3.5,>=1.3.4 # MIT License
 python-cinderclient>=3.3.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
-python-keystoneclient>=3.8.0 # Apache-2.0
-python-neutronclient>=6.3.0 # Apache-2.0
+python-keystoneclient>=3.15.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
 pytz>=2013.6 # MIT
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
 semantic-version>=2.3.1 # BSD
 six>=1.10.0 # MIT
 XStatic>=1.0.0 # MIT License

=== debian/changelog ===
horizon (3:14.0.2-3) unstable; urgency=medium

  * openstack-dashboard: Add Breaks against obsolete packages from Stretch:
    python-app-catalog-ui, python-designate-dashboard, python-ironic-ui,
    python-murano-dashboard, python-zaqar-ui (Closes: #925226). Thanks a lot
    to Andreas Beckmann for his report, patch and tests.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2019 21:44:52 +0100

horizon (3:14.0.2-2) unstable; urgency=medium

  [ Michal Arbet ]
  * d/openstack-dashboard.postinst:
      - Make symlinks creation dynamically (Closes: #921661).
  * d/control:
      - openstack-dashboard-apache: Update dependency
      - openstack-dashboard now breaks old plugins
  * d/openstack-dashboard.postinst:
     - Delete /usr/share/openstack-dashboard/openstack_dashboard
  * d/openstack-dashboard.links: Remove it
  * d/openstack-dashboard.prerm:
     - Add deletion of symlinks
  * d/openstack-dashboard.postrm:
     - Add deletion of some files
  * d/openstack-dashboard-apache.postinst:
     - Collect static and compress not needed
       in a package, this is done in it's
       dependency package openstack-dashboard

  [ Thomas Goirand ]
  * Add fix-broken-log.warning.patch.

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 08 Feb 2019 13:36:59 +0100

horizon (3:14.0.2-1) unstable; urgency=medium

  * New upstream version
  * d/patches: Add fix-unhashable-key-warning.patch
  * d/patches: Add fix-horizon-osprofiler-support.patch
  * d/patches: Add fix-django-auth-middleware-monkey-patching.patch
  * d/control: Add me to uploaders field
  * d/control: Add me to copyright file
  * Redesign openstack-dashboard:
      - Enabled files now in /etc/openstack-dashboard/
  * d/rules: Add tests, change tests execution
  * d/openstack-dashboard.triggers: Update paths
  * d/rules: Move settings from local_settings.py
             to local_settings.d as debian specific
  * openstack-dashboard-apache: Move logs to separate dir
  * openstack-dashboard-apache: Move dashboard paths
  * Fixes (Closes: #915023)

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 04 Feb 2019 19:50:30 +0100

horizon (3:14.0.0-7) unstable; urgency=medium

  * Fix horizon group and user creation, so it doesn't fail if the user or
    group already exist.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 17:18:31 +0100

horizon (3:14.0.0-6) unstable; urgency=medium

  * Updated Debconf template translations with thanks to:
    - German: Chris Leick <c.leick@vollbio.de> (Closes: #910621).
    - Portuguese: Américo Monteiro <a_monteiro@gmx.com> (Closes: #910364).

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Jan 2019 09:25:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
  Ivan Udovichenko <iudovichenko@mirantis.com>,
 Build-Depends:
  debhelper (>= 10),
@@ -118,6 +119,27 @@
 Suggests:
  memcached,
  openstack-dashboard-apache,
+Breaks:
+ python-app-catalog-ui,
+ python-designate-dashboard,
+ python-ironic-ui,
+ python-murano-dashboard,
+ python-zaqar-ui,
+ python3-neutron-vpnaas-dashboard (<< 1.4.0-2~),
+ python3-octavia-dashboard (<< 2.0.0-3~),
+ python3-neutron-fwaas-dashboard (<< 1.5.0-3~),
+ python3-heat-dashboard (<< 1.4.0-2~),
+ python3-cloudkitty-dashboard (<< 8.0.0-3~),
+ python3-trove-dashboard (<< 11.0.0-2~),
+ python3-senlin-dashboard (<< 0.9.0-3~),
+ python3-sahara-dashboard (<< 9.0.1-1~),
+ python3-murano-dashboard (<< 1:6.0.0-2~),
+ python3-mistral-dashboard (<< 7.0.1-2~),
+ python3-designate-dashboard (<< 7.0.0-2~),
+ python3-magnum-ui (<< 5.0.1-2~),
+ python3-zaqar-ui (<< 5.0.0-2~),
+ python3-manila-ui (<< 2.16.0-2~),
+ python3-ironic-ui (<< 3.3.0-4~),
 Description: web application to control an OpenStack cloud
  The OpenStack Dashboard is a web application to control an OpenStack
  cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
@@ -130,7 +152,7 @@
  apache2 (>= 2.4),
  debconf,
  libapache2-mod-wsgi-py3 (>= 2.3),
- openstack-dashboard,
+ openstack-dashboard (>= 3:14.0.2-1~),
  ${misc:Depends},
 Description: web application to control an OpenStack cloud - Apache support
  The OpenStack Dashboard is a web application to control an OpenStack

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build
	rm -rf $(CURDIR)/static
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
	rm -rf doc/source/sourcecode
	rm -rf $(CURDIR)/doc/build
	rm -f horizon/openstack_dashboard/test/.secret_key_store
	find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete
	rm -rf .eggs
	rm -f AUTHORS
	rm -f ChangeLog

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:

	# Compile language files
	chmod +x debian/compile-messages
	$(CURDIR)/debian/compile-messages

	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install \
			--install-layout=deb \
			--root $(CURDIR)/debian/tmp \
			--no-compile -O0; \
	done

	# Prepare openstack-dashboard folder and copy manage.py
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	cp $(CURDIR)/manage.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Move themes folder to standard location
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/themes \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Create /etc/openstack-dashboard/ and move policy files into
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/conf \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Move conf to standard location
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/__init__.py
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/*.example

	# Move wsgi file to standard location
	mv $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/wsgi.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Move local_settings.d to /etc and modify local_settings.py
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/*.example

	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples/local_settings.py

	# Secret key has to be replaced here
	sed -i -e 's/os.path.join(LOCAL_PATH,/os.path.join("\/","var","lib","openstack-dashboard","secret-key",/' $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples/local_settings.py

	# Debian specific configuration
	cp $(CURDIR)/debian/local_settings.d/*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/

	# Move osprofiler conf files to be enabled to standard location
	# and remove /usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled/_[0-9]*.py \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled

	# Remove secret_key_store as we will use it in /var/lib/
	rm -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/.secret_key_store

	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;

	## Delete not needed files
	rm -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/_build*.lock

	dh_install
	dh_missing --fail-missing
	find $(CURDIR)/debian -iname .eslintrc -delete

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/horizon-doc/usr/share/doc/horizon-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# We should add --compilemessages when the .mo are removed.
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9 \
		HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run $(CURDIR)/manage.py test horizon --verbosity 2 --settings=horizon.test.settings --exclude-tag selenium --exclude-tag integration; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run $(CURDIR)/manage.py test openstack_dashboard --verbosity 2 --settings=openstack_dashboard.test.settings --exclude-tag selenium --exclude-tag integration; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run $(CURDIR)/manage.py test openstack_auth --verbosity 2 --settings=openstack_auth.tests.settings --exclude-tag selenium --exclude-tag integration; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i $(CURDIR)/manage.py test horizon --settings=horizon.test.settings --verbosity 2 --exclude-tag selenium --exclude-tag integration ; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i $(CURDIR)/manage.py test openstack_dashboard --settings=openstack_dashboard.test.settings --verbosity 2 --exclude-tag selenium --exclude-tag integration ; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i $(CURDIR)/manage.py test openstack_auth --settings=openstack_auth.tests.settings --verbosity 2 --exclude-tag selenium --exclude-tag integration ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif
